## shelltestrunner 1.10

=== Makefile ===
# shelltestrunner project makefile

# ensure a utf8-aware locale is set, required by ghc executables
export LANG = en_US.UTF-8

# which stack.yaml file (& ghc version) to use, can be overridden by STACK env var
STACKYAML ?= stack.yaml

# used below and also in tests which run stack
STACKYAMLOPT = --stack-yaml=$(STACKYAML)

# the current base stack command
STACK = stack --silent $(STACKYAMLOPT)

# the shelltest executable built with current stack
SHELLTESTEXE = $(shell $(STACK) path --local-install-root)/bin/shelltest

# the base shelltest command with common options,
# and the STACKYAMLOPT env var which helps any tests
# which run stack themselves (eg large-output.test)
SHELLTEST = STACKYAMLOPT="$(STACKYAMLOPT)" $(SHELLTESTEXE) --exclude /_ -j16 --hide-successes

# standard targets

default: build

build:
	@$(STACK) build

install:
	@$(STACK) install

ghci:
	@echo
	@echo "Warning: argumentss will be accepted in GHCI only on first run after load,"
	@echo "probably because of using cmdargs' unsafeperformio-based easy mode."
	@echo
	$(STACK) ghci

ghcid:
	$(STACK) exec -- ghcid

test: testcross testunix testbash testexamples

# tests

# run cross-platform shell tests
testcross: build
	@echo; echo "cross-platform tests should succeed:"
	$(SHELLTEST) -w $(SHELLTESTEXE) tests -x /bash -x /examples -x .windows -x .unix

# run unix-specific shell tests
testunix: build
	@echo; echo "on unix, unix tests should succeed:"
	$(SHELLTEST) -w $(SHELLTESTEXE) tests/*.unix

# run windows-specific shell tests
# (though if you are using make on windows, you may be able to, or may have to, use testunix)
testwindows: build
	@echo; echo "on windows, windows tests should succeed:"
	@$(SHELLTEST) -w $(SHELLTESTEXE) tests/*.windows

# run bash-specific shell tests
testbash: build
	@echo; echo "when using bash, bash tests should succeed:"
	@$(SHELLTEST) tests/bash --shell /bin/bash

# run tests of the README examples
testexamples: build
	@echo; echo "README examples should succeed:"
	@$(SHELLTEST) tests/examples

# misc

LASTTAG=$(shell git describe --tags --abbrev=0)

changes-show: $(call def-help,changes-show, show commits affecting the current directory excluding any hledger package subdirs from the last tag as org nodes newest first )
	@make changes-show-from-$(LASTTAG)

changes-show-from-%: #$(call def-help,changes-show-from-REV, show commits affecting the current directory excluding any hledger package subdirs from this git revision onward as org nodes newest first )
	@git log --abbrev-commit --pretty=format:'ORGNODE %s (%an)%n%b%h' $*.. -- . ':!hledger' ':!hledger-*' \
		| sed -e 's/^\*/-/' -e 's/^ORGNODE/*/' \
		| sed -e 's/ (Simon Michael)//'

loc:
	@echo Current lines of code including tests:
	@sloccount src | grep haskell:

# files to tag
HSFILES=src/*.hs src/Utils/*.hs
TESTFILES=tests/format*/*.test

tag: $(HSFILES) #$(TESTFILES) *.md Makefile
	hasktags -e -o TAGS $^
	hasktags -c -o ctags $^

# clean:
# 	rm -f `find . -name "*.o" -o -name "*.hi" -o -name "*~" -o -name "darcs-amend-record*" -o -name "*-darcs-backup*"`

# Clean: clean
# 	rm -f TAGS _cache #_site $(EXE)

## shelltestrunner 1.2.1

=== debian/changelog ===
shelltestrunner (1.2.1-2) unstable; urgency=low

  * Remove cabal-th as depedency and hardcode the version; this will make
    the package available on many more architectures

 -- Iustin Pop <iustin@debian.org>  Mon, 26 Mar 2012 18:55:51 +0200

shelltestrunner (1.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #664466)

 -- Iustin Pop <iustin@debian.org>  Mon, 19 Mar 2012 19:44:49 +0100

=== debian/control ===
Source: shelltestrunner
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , pandoc
  , libghc-utf8-string-dev (>= 0.3.5)
  , libghc-utf8-string-dev (<< 0.4)
  , libghc-diff-dev (>= 0.1)
  , libghc-diff-dev (<< 0.2)
  , libghc-filemanip-dev (>= 0.3)
  , libghc-filemanip-dev (<< 0.4)
  , libghc-cmdargs-dev (>= 0.7)
  , libghc-cmdargs-dev (<< 0.10)
  , libghc-regex-tdfa-dev (>= 1.1)
  , libghc-regex-tdfa-dev (<< 1.2)
  , libghc-test-framework-dev (>= 0.3.2)
  , libghc-test-framework-dev (<< 0.6)
  , libghc-test-framework-hunit-dev (>= 0.2)
  , libghc-test-framework-hunit-dev (<< 0.3)
Standards-Version: 3.9.3
Homepage: http://hackage.haskell.org/package/shelltestrunner
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/shelltestrunner
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/shelltestrunner

Package: shelltestrunner
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: test command-line programs or arbitrary shell commands
 shelltestrunner is a cross-platform tool for testing command-line
 programs (or arbitrary shell commands). It reads simple declarative
 tests specifying a command, some input, and the expected output,
 error output and exit status. Tests can be run selectively, in
 parallel, with a timeout, in color, and/or with differences
 highlighted.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/$(CABAL_PACKAGE) :: build-ghc-stamp debian/shelltest.1

install/$(CABAL_PACKAGE) :: build/$(CABAL_PACKAGE)
	$(DEB_SETUP_BIN_NAME) copy \
	  --builddir=dist-ghc \
	  --destdir=debian/$(CABAL_PACKAGE)
	rm -rf debian/$(CABAL_PACKAGE)/usr/share/doc

debian/shelltest.1: debian/shelltest.md
	pandoc -s -w man $< -o $@

clean::
	rm -f debian/shelltest.1

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|shelltestrunner-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/shelltestrunner \
    ([\d\.]*\d)/

## shelltestrunner 1.3.1

=== debian/changelog ===
shelltestrunner (1.3.1-3) unstable; urgency=low

  * Drop hardcoded architecture restrictions.  We have the threaded runtime
    on all architectures now.

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Jun 2013 18:11:08 +0100

shelltestrunner (1.3.1-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:48 +0200

shelltestrunner (1.3.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Feb 2013 13:02:19 +0100

shelltestrunner (1.2.1-3) unstable; urgency=low

  * Remove pandoc as build-dependency (to allow building on more arches)
  * Bump dependency on test-framework (Closes: #669461)
  * Manually restrict the package to architectures which have a threaded
    runtime
  * Add patch to skip explicit decoding/encoding of FilePath, since ghc
    7.4 already does it automatically

 -- Iustin Pop <iustin@debian.org>  Sat, 19 May 2012 20:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,25 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iustin Pop <iustin@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8)
-  , ghc
-  , pandoc
+  , haskell-devscripts (>= 0.8.13)
+  , ghc (>= 7.4)
   , libghc-utf8-string-dev (>= 0.3.5)
   , libghc-utf8-string-dev (<< 0.4)
-  , libghc-diff-dev (>= 0.1)
-  , libghc-diff-dev (<< 0.2)
+  , libghc-diff-dev (>= 0.2)
+  , libghc-diff-dev (<< 0.3)
   , libghc-filemanip-dev (>= 0.3)
   , libghc-filemanip-dev (<< 0.4)
   , libghc-cmdargs-dev (>= 0.7)
-  , libghc-cmdargs-dev (<< 0.10)
+  , libghc-cmdargs-dev (<< 0.11)
   , libghc-regex-tdfa-dev (>= 1.1)
   , libghc-regex-tdfa-dev (<< 1.2)
   , libghc-test-framework-dev (>= 0.3.2)
-  , libghc-test-framework-dev (<< 0.6)
+  , libghc-test-framework-dev (<< 0.9)
   , libghc-test-framework-hunit-dev (>= 0.2)
-  , libghc-test-framework-hunit-dev (<< 0.3)
-Standards-Version: 3.9.3
+  , libghc-test-framework-hunit-dev (<< 0.4)
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/shelltestrunner
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/shelltestrunner
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/shelltestrunner

## shelltestrunner 1.3.2

=== debian/changelog ===
shelltestrunner (1.3.2-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 25 Nov 2013 10:59:05 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   , libghc-utf8-string-dev (>= 0.3.5)
   , libghc-utf8-string-dev (<< 0.4)
   , libghc-diff-dev (>= 0.2)
-  , libghc-diff-dev (<< 0.3)
+  , libghc-diff-dev (<< 0.4)
   , libghc-filemanip-dev (>= 0.3)
   , libghc-filemanip-dev (<< 0.4)
   , libghc-cmdargs-dev (>= 0.7)
@@ -21,7 +21,8 @@
   , libghc-test-framework-dev (<< 0.9)
   , libghc-test-framework-hunit-dev (>= 0.2)
   , libghc-test-framework-hunit-dev (<< 0.4)
-Standards-Version: 3.9.4
+  , libghc-parsec3-dev (<< 3.2)
+Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/shelltestrunner
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/shelltestrunner
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/shelltestrunner

## shelltestrunner 1.3.4

=== debian/changelog ===
shelltestrunner (1.3.4-1) unstable; urgency=medium

  * New upstream release
  * Drop local patch disabling TemplateHaskell, no longer needed
  * Add a simple autotestpkg definition

 -- Iustin Pop <iustin@debian.org>  Mon, 21 Jul 2014 19:37:26 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   , libghc-cmdargs-dev (>= 0.7)
   , libghc-cmdargs-dev (<< 0.11)
   , libghc-regex-tdfa-dev (>= 1.1)
-  , libghc-regex-tdfa-dev (<< 1.2)
+  , libghc-regex-tdfa-dev (<< 1.3)
   , libghc-test-framework-dev (>= 0.3.2)
   , libghc-test-framework-dev (<< 0.9)
   , libghc-test-framework-hunit-dev (>= 0.2)
@@ -24,8 +24,9 @@
   , libghc-parsec3-dev (<< 3.2)
 Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/shelltestrunner
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/shelltestrunner
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/shelltestrunner
+Vcs-Darcs: http://anonscm.debian.org/darcs/pkg-haskell/shelltestrunner
+Vcs-Browser: http://anonscm.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/shelltestrunner
+XS-Testsuite: autopkgtest
 
 Package: shelltestrunner
 Architecture: any

## shelltestrunner 1.3.5

=== debian/changelog ===
shelltestrunner (1.3.5-6) unstable; urgency=medium

  * Relax dependency on hunit (Closes: #811305)

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 10 Jan 2016 00:40:41 +0300

shelltestrunner (1.3.5-5) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:23 -0500

shelltestrunner (1.3.5-4) experimental; urgency=medium

  * Recover debian/tests/simple from version 1.3.4-1.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 21 Aug 2015 11:34:51 +0200

shelltestrunner (1.3.5-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:14 +0200

shelltestrunner (1.3.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:56:03 +0200

shelltestrunner (1.3.5-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 20:11:15 +0200

shelltestrunner (1.3.4-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:13:00 +0100

=== debian/control ===
Source: shelltestrunner
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iustin Pop <iustin@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 cdbs,
 haskell-devscripts (>= 0.10),
 ghc (>= 7.4),
 libghc-utf8-string-dev (>= 0.3.5),
 libghc-utf8-string-dev (<< 1.1),
 libghc-diff-dev (>= 0.2),
 libghc-diff-dev (<< 0.4),
 libghc-filemanip-dev (>= 0.3),
 libghc-filemanip-dev (<< 0.4),
 libghc-cmdargs-dev (>= 0.7),
 libghc-cmdargs-dev (<< 0.11),
 libghc-regex-tdfa-dev (>= 1.1),
 libghc-regex-tdfa-dev (<< 1.3),
 libghc-safe-dev,
 libghc-test-framework-dev (>= 0.3.2),
 libghc-test-framework-dev (<< 0.9),
 libghc-test-framework-hunit-dev (>= 0.2),
 libghc-test-framework-hunit-dev (<< 0.4),
 libghc-parsec3-dev (<< 3.2),
 libghc-pretty-show-dev (>= 1.6.5),
Standards-Version: 3.9.6
Homepage: http://hackage.haskell.org/package/shelltestrunner
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: shelltestrunner
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: test command-line programs or arbitrary shell commands
 shelltestrunner is a cross-platform tool for testing command-line
 programs (or arbitrary shell commands). It reads simple declarative
 tests specifying a command, some input, and the expected output,
 error output and exit status. Tests can be run selectively, in
 parallel, with a timeout, in color, and/or with differences
 highlighted.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/shelltestrunner/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## shelltestrunner 1.9

=== debian/changelog ===
shelltestrunner (1.9-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:16 +0300

shelltestrunner (1.9-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:43:30 -0400

shelltestrunner (1.3.5-10) unstable; urgency=medium

  * Patch for newer HUnit.  closes: #868593.

 -- Clint Adams <clint@debian.org>  Sun, 16 Jul 2017 19:06:36 -0400

shelltestrunner (1.3.5-9) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:22 -0400

shelltestrunner (1.3.5-8) experimental; urgency=medium

  * Patch to build with newer process.

 -- Clint Adams <clint@debian.org>  Wed, 19 Oct 2016 13:06:40 -0400

shelltestrunner (1.3.5-7) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * Temporarily build with ghc 8.

 -- Clint Adams <clint@debian.org>  Wed, 19 Oct 2016 04:54:00 -0400

=== debian/control ===
Source: shelltestrunner
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iustin Pop <iustin@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 cdbs,
 haskell-devscripts (>= 0.13),
 ghc (>= 8.4.3),
 ghc-prof,
 libghc-diff-dev (>= 0.2.0),
 libghc-hunit-dev,
 libghc-cmdargs-dev (>= 0.7),
 libghc-filemanip-dev (>= 0.3),
 libghc-pretty-show-dev (>= 1.6.5),
 libghc-regex-tdfa-dev (>= 1.1),
 libghc-safe-dev,
 libghc-test-framework-dev (>= 0.3.2),
 libghc-test-framework-hunit-dev (>= 0.2),
 libghc-utf8-string-dev (>= 0.3.5),
Standards-Version: 4.1.4
Homepage: https://github.com/simonmichael/shelltestrunner
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/shelltestrunner
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/shelltestrunner]

Package: shelltestrunner
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: test command-line programs or arbitrary shell commands
 shelltestrunner is a cross-platform tool for testing command-line
 programs (or arbitrary shell commands). It reads simple declarative
 tests specifying a command, some input, and the expected output,
 error output and exit status. Tests can be run selectively, in
 parallel, with a timeout, in color, and/or with differences
 highlighted.

=== debian/watch ===
version=3
https://hackage.haskell.org/package/shelltestrunner/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## shelltestrunner 1.9.0.1

=== debian/changelog ===
shelltestrunner (1.9.0.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 04 Sep 2023 11:50:58 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 10),
  cdbs,
  haskell-devscripts (>= 0.13),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  libghc-diff-dev (>= 0.2.0),
  libghc-hunit-dev,
@@ -19,7 +19,7 @@
  libghc-test-framework-dev (>= 0.3.2),
  libghc-test-framework-hunit-dev (>= 0.2),
  libghc-utf8-string-dev (>= 0.3.5),
-Standards-Version: 4.1.4
+Standards-Version: 4.6.2
 Homepage: https://github.com/simonmichael/shelltestrunner
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/shelltestrunner
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/shelltestrunner]

## shelltestrunner 1.10

=== debian/changelog ===
shelltestrunner (1.10-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

 -- Clint Adams <clint@debian.org>  Mon, 23 Feb 2026 13:01:27 -0500

shelltestrunner (1.10-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 03 Oct 2024 18:12:04 +0300

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
- cdbs,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-haskell,
  haskell-devscripts (>= 0.13),
  ghc (>= 9.4),
- ghc-prof,
  libghc-diff-dev (>= 0.2.0),
  libghc-hunit-dev,
  libghc-cmdargs-dev (>= 0.7),
  libghc-filemanip-dev (>= 0.3),
+ libghc-hspec-dev (>= 2.9.0),
+ libghc-hspec-contrib-dev (>= 0.5.1.1),
+ libghc-hspec-core-dev (>= 2.9.0),
  libghc-pretty-show-dev (>= 1.6.5),
  libghc-regex-tdfa-dev (>= 1.1),
  libghc-safe-dev,
  libghc-test-framework-dev (>= 0.3.2),
  libghc-test-framework-hunit-dev (>= 0.2),
  libghc-utf8-string-dev (>= 0.3.5),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/simonmichael/shelltestrunner
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/shelltestrunner
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/shelltestrunner]

=== debian/rules ===
#!/usr/bin/make -f

debian/shelltest.1: debian/shelltest.md
	pandoc -s -w man $< -o $@

# Note: for now, the built man page is distributed, so that we don't
# need to build-depend on pandoc.

%:
	dh $@
